## purple-plugin-pack 2.8.0

=== meson_options.txt ===
option('purple-version', type : 'combo', choices : ['2', '3'], value : '2',
       description : 'set to 3 to compile against libpurple3')

option('types', type : 'string', value : 'default',
       description : 'comma-separated list of plugin types to build: default, abusive, incomplete, or all')

option('nls', type : 'boolean', value : true,
       description : 'enable installation of translation files')

## purple-plugin-pack 2.6.3

=== debian/changelog ===
purple-plugin-pack (2.6.3-2) unstable; urgency=low

  * Build the irc-more plugin which has been accidentally dropped after
    version 2.2.0-1. (Closes: #604763; LP: #680820)
  * Bump Standards-Version to 3.9.1, no changes needed.

 -- Felix Geyer <debfx-pkg@fobos.de>  Sat, 27 Nov 2010 11:25:00 +0100

purple-plugin-pack (2.6.3-1) unstable; urgency=low

  * New maintainer. (Closes: #566593)
  * New upstream version. (Closes: #475915)
  * Merge changes from Ubuntu, closes the following bugs:
    - Missing the switchspell plugin. (Closes: #471679)
    - Please do not use <tab> in package description. (Closes: #479599)
  * Bump debhelper to dh 7.
    - Increase debian/compat to 7.
    - Simplify debian/rules.
  * Update and convert debian/copyright to DEP-5.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Bump Standards-Version to 3.8.4, no changes needed.
  * Use dh_lintian to install overrides.
  * In irssi plugin: Disable New Year easter egg by default.
    (Closes: #567751, LP: #502948)
    - add debian/patches/01_irssi_disable_easter_egg.patch
  * Prevent the package from failing to build because intltool doesn't ignore
    files in quilt's .pc folder.
    - add debian/patches/02_disable_po_check.patch

 -- Felix Geyer <debfx-pkg@fobos.de>  Fri, 16 Apr 2010 20:54:08 +0200

purple-plugin-pack (2.6.2-0ubuntu2) lucid; urgency=low

  * debian/rules: Re-enable the "Last Seen" plugin as not the complete
    functionality is present in Pidgin. (LP: #545337)

 -- Felix Geyer <debfx-pkg@fobos.de>  Mon, 05 Apr 2010 15:19:47 +0200

purple-plugin-pack (2.6.2-0ubuntu1) lucid; urgency=low

  * New upstream release. (LP: #500310)
  * Disable "Show Offline" and "Last Seen" plugins as the functionality
    has been integrated into Pidgin. (LP: #477705)
  * Replace previous watch file with a comment saying that it's not possible
    to detect new releases.
  * Fix lintian warnings extended-description-line-too-long and
    copyright-refers-to-symlink-license.
  * Update short description to not mention the exact number of plugins.
  * Line-wrap Build-Depends.
  * Update maintainer field to comply with the new specification.

 -- Felix Geyer <debfx-pkg@fobos.de>  Tue, 05 Jan 2010 19:22:23 +0100

purple-plugin-pack (2.6.0-0ubuntu1) karmic; urgency=low

  * New upstream release. (LP: #256419)
    - New plugins:
      - autoprofile
      - colorize
      - enhancedhist
      - google
      - listlog
      - msglen
      - nomobility (incomplete)
      - smartear (incomplete)
      - splitter
      - stress (abusive)
      - xmppprio
    - Removed broadcast plugin.
    - Various bug/crash/memory leak fixes.
    - Fixed SwitchSpell not being build even though correct development
      packages was installed. (LP: #246905)
  * debian/control:
    - Update package description; fixed some references to Gaim; added
      description of new plugins.
    - Removed dummy package gaim-irchelper, not required or recommended by any
      package.
    - Added intltool to Build-Depends as build fails without it.
    - Added libgtkspell-dev and libaspell-dev to Build-Depends. Required by
      SwitchSpell plugin. (Thanks: Nikolaus Filus) (LP: #246905)
    - Moved homepage link from description to a field.
  * debian/docs: Added 'README' and 'AUTHORS' files.
  * debian/copyright: Added missing upstream authors and updated copyright for
    individual files.
  * debian/rules:
    - Move list of plugins to be build to separate variable
      for easy modification.
    - Added following plugins to list of plugins to be build:
      - autoprofile
      - colorize
      - enhancedhist (LP: #160000)
      - google
      - groupmsg (LP: #181674)
      - listlog
      - napster
      - splitter
      - xmppprio
    - Following plugins are not build:
      - findip: It is useless.
      - talkfilter: Requires GNU Talkfilter headers to be installed at build
        time but they are not packaged yet.
      - xmmsremoten: Requires xmms-config which does not seem to exist in
        xmms2. xmms removed from Enhances in debian/control.
    - Do not copy config.guess and config.sub from /usr/share/misc to source
      dir when cleaning.
    - Uncommented call to dh_makeshlibs. We are not building shared libraries.
  * Remove debian/dirs, not needed.

 -- Michael Budde <mbudde@gmail.com>  Sat, 19 Sep 2009 14:38:55 +0200

purple-plugin-pack (2.2.0-1) unstable; urgency=low

  * New Upstream Release
    + Adds new plugins
      - convbadger
      - dewisygification
      - infopane
      - snpp
      - switchspell
      - timelog
    + Remove plugin hideconv (merged into Pidgin)
    + Various stability fixes
  * Fix debian/watch to reflect gaim->pidgin transition in upstream's
    repository (Closes: #450286)
  * Apply patch from Stu Tomlinson to fix timelog symbol issue.

 -- Benjamin Seidenberg <benjamin@debian.org>  Mon, 17 Mar 2008 15:25:08 -0400

purple-plugin-pack (2.0.0-1) unstable; urgency=low

  * New upstream release (Closes: #434958)
    - Blistops now offers the ability to stretch the display of screen names
      or aliases into the buddy icon column when no icon exists
    - Blistops now shows the menu bar when hovering near the top of the buddy
      list window.  Resolves a number of Pidgin bug reports (Closes: #431178)
    - Listhandler now supports alias-only list exports and imports (rseeber)
    - Listhandler now exports and imports buddy notes created with the
      buddynote plugin
    - Added ignore plugin
    - Added irc-more plugin
    - Added highlight plugin
    - Added incomplete convbadger plugin
    - Added internationalization support to plonkers
    - Added more humorous stuff to eight_ball (resiak)
    - Added support for spaces in filenames to gRIM (rageboy04)
    - Added a stop subcommand in gRIM (rageboy04)
    - Changed order of arguments to gRIM command (rageboy04)
    - Fixed build-by-default status for switchspell
    - Fixed crash in album when using Pidgin 2.0.2 or newer


=== debian/control ===
Source: purple-plugin-pack
Section: net
Priority: optional
Maintainer: Felix Geyer <debfx-pkg@fobos.de>
Build-Depends: debhelper (>= 7.0.50~),
               pidgin-dev,
               intltool,
               pkg-config,
               libaspell-dev,
               libglib2.0-dev,
               libgtk2.0-dev,
               libgtkspell-dev,
               libxml-parser-perl
Standards-Version: 3.9.1
Homepage: http://plugins.guifications.org/

Package: pidgin-plugin-pack
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Collection of Pidgin plugins
 Plugin pack is a collection of many simple-yet-useful plugins for Pidgin.
 A brief description of each is below. For more information about an individual
 plugin, please see http://plugins.guifications.org/trac/wiki/PluginPack
 .
 /exec: execute commands and optionally send their output in an IM/chat window.
 .
 AutoProfile: user profile and status message content generator.
 .
 Album: archives all buddy icons for all buddies in the user's buddy list.
 .
 Auto Reply: auto-replies on any protocol, also can be specific to each buddy.
 .
 Bash.org: provides links to random or select quotes on bash.org and qdb.us.
 .
 Buddy List Options: options to hide buddy list on creation and hide menu in it.
 .
 Colorize: colorizes outgoing message text.
 .
 Conversation Badge: shows the protocol icon in the conversation menu tray.
 .
 DeWYSIWYGification: allows user to type in HTML without it being rendered.
 .
 Dice: simulates the rolling of dice.
 .
 DiffTopic: shows changes when the topic is changed in a chatroom.
 .
 Magic 8 Ball: shows random expressions from a Magic 8 Ball toy.
 .
 Enhanced History: an enhanced version of the history plugin.
 .
 Flip: flips a coin and shows the result in the current conversation.
 .
 gRIM: annoy your buddies with a timed series of messages.
 .
 Google: writes the results of an "I'm feeling lucky" search to a conversation.
 .
 Group IM: send an IM to a group of buddies
 .
 Highlight: adds support for highlighting user specified words.
 .
 Ignore: ignore either all or just chat communication from a specific person.
 .
 InfoPane: use different views for the "details" information  in conversations.
 .
 IRC Helper: Handles the rough edges of the IRC protocol.
 .
 IRC More: adds a couple options to the IRC protocol:
        - Customized default quit/part messages.
        - A CTCP version reply.
 .
 Irssi Features: implements many features of irssi:
        - day change notifications
        - /window, /layout, /lastlog commands
        - auto-text formatting
 .
 List Handler: import and export buddy lists in various formats.
 .
 Chat User List Logging: logs the list of users in a chat when you join.
 .
 My Status Box: per-account status selectors with other features.
 .
 Napster: NAPSTER Protocol Plugin.
 .
 Nick Said: to jump to where your name or other words were said in a chat.
 .
 Old Logger: stores buddy logs in flat files (legacy format).
 .
 Plonkers: announce your ignore list to a chat room and other privacy features.
 .
 Purple Schedule: Schedule reminders at specific times.
 .
 Separate and Tab: adds two new window positioning methods.
 .
 Sim Fix: fixes messages received from buddies using broken SIM clients.
 .
 Simple Network Paging Protocol (SNPP):
     allows sending to pager servers (like sendpage or qpage) via SNPP.
 .
 Message Splitter: splits sent messages into smaller ones of a specified size.
 .
 SSL Info: adds a menu item to display info about the SSL plugin in use.
 .
 Switch Spell: allows changing the spell-check language for each conversation.
 .
 Timelog: view Pidgin logs that fall within specific time ranges.
 .
 XChat Chats: makes Pidgin use XChat's indented view.
 .
 XMPP Priority: Adds account options that allow users to specify the priorities
     used for available and away for XMPP accounts.

=== debian/rules ===
#!/usr/bin/make -f

ENABLED_PLUGINS = "\
	album,\
	autoprofile,\
	autoreply,\
	bash,\
	blistops,\
	colorize,\
	convbadger,\
	dewysiwygification,\
	dice,\
	difftopic,\
	eight_ball,\
	enhancedhist,\
	flip,\
	gRIM,\
	google,\
	groupmsg,\
	highlight,\
	ignore,\
	infopane,\
	irchelper,\
	irc-more,\
	irssi,\
	lastseen,\
	listhandler,\
	listlog,\
	mystatusbox,\
	napster,\
	nicksaid,\
	oldlogger,\
	plonkers,\
	schedule,\
	sepandtab,\
	simfix,\
	slashexec,\
	snpp,\
	splitter,\
	sslinfo,\
	switchspell,\
	timelog,\
	xchat-chats,\
	xmppprio"

# These plugins are not built:
# 	awaynotify
# 	bit
# 	buddytime
# 	chronic
# 	findip
# 	gntsmartear
# 	gtkbuddytime
# 	gtksmartear
# 	hideconv
# 	ignorance
# 	msglen
# 	nomobility
# 	showoffline
# 	smartear
# 	stocker
# 	stress
# 	talkfilters
# 	xmmsremote


empty :=
space := $(empty) $(empty)

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --with-plugins=$(subst $(space),,$(ENABLED_PLUGINS))

override_dh_auto_install:
	dh_auto_install
	# we don't need the .la files
	rm $(CURDIR)/debian/pidgin-plugin-pack/usr/lib/pidgin/*.la
	rm $(CURDIR)/debian/pidgin-plugin-pack/usr/lib/purple-2/*.la

override_dh_makeshlibs:
	# don't call as plugins are private libraries

=== debian/watch ===
# New releases are published on: http://plugins.guifications.org/trac/downloads
#
# It's not possible to provide a proper watch file as the download URLs
# don't contain the version number.

## purple-plugin-pack 2.7.0

=== debian/changelog ===
purple-plugin-pack (2.7.0-4) unstable; urgency=medium

  * Team upload
  * Switch build dependency on python2

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 25 Jan 2020 21:29:16 +0100

purple-plugin-pack (2.7.0-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces
  * d/control: Set Vcs-* to salsa.debian.org

  [ Laurent Bigonville ]
  * Port to enchant-2 instead of enchant(1), also remove build-dependency
    against libaspell-dev, it's not needed anymore as enchant is used instead

 -- Laurent Bigonville <bigon@debian.org>  Sat, 25 Jan 2020 10:31:17 +0100

purple-plugin-pack (2.7.0-3) unstable; urgency=medium

  * Add python to Build-Depends. (Closes: #839378)

 -- Felix Geyer <fgeyer@debian.org>  Wed, 05 Oct 2016 20:59:41 +0200

purple-plugin-pack (2.7.0-2) unstable; urgency=low

  * Use dh-autoreconf.

 -- Felix Geyer <fgeyer@debian.org>  Thu, 09 May 2013 10:29:33 +0200

purple-plugin-pack (2.7.0-1) experimental; urgency=low

  * Upload to experimental due to the freeze.
  * New upstream release. (LP: #943674)
    - New plugins: capsnot, icon-override, ning, okcupid, omegle and translate.
  * Add Vcs control fields.
  * Switch to debhelper compat level v9 which exports build flags.
  * Bump Standards-Version to 3.9.4, no changes needed.
  * Enable parallel building.
  * Add a watch file.
  * Update lintian override.
  * Update homepage link.
  * Switch to my @debian.org email address.

 -- Felix Geyer <fgeyer@debian.org>  Sun, 04 Nov 2012 15:17:37 +0100

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,29 @@
 Source: purple-plugin-pack
 Section: net
 Priority: optional
-Maintainer: Felix Geyer <debfx-pkg@fobos.de>
-Build-Depends: debhelper (>= 7.0.50~),
+Maintainer: Felix Geyer <fgeyer@debian.org>
+Build-Depends: debhelper (>= 9),
+               dh-autoreconf,
                pidgin-dev,
                intltool,
                pkg-config,
-               libaspell-dev,
+               python2,
+               libenchant-2-dev,
                libglib2.0-dev,
                libgtk2.0-dev,
-               libgtkspell-dev,
+               libgtkspell-dev (>= 2.0.16-1.3~),
                libxml-parser-perl
-Standards-Version: 3.9.1
-Homepage: http://plugins.guifications.org/
+Standards-Version: 3.9.4
+Homepage: https://www.guifications.org/projects/purple-plugin-pack
+Vcs-Git: https://salsa.debian.org/debian/purple-plugin-pack.git
+Vcs-Browser: https://salsa.debian.org/debian/purple-plugin-pack
 
 Package: pidgin-plugin-pack
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Collection of Pidgin plugins
  Plugin pack is a collection of many simple-yet-useful plugins for Pidgin.
- A brief description of each is below. For more information about an individual
- plugin, please see http://plugins.guifications.org/trac/wiki/PluginPack
+ A brief description of each is below.
  .
  /exec: execute commands and optionally send their output in an IM/chat window.
  .

=== debian/watch ===
version=3

https://www.guifications.org/projects/purple-plugin-pack/files \
  /attachments/download/\d+/purple-plugin-pack-([\d\.]+)\.tar\.bz2

## purple-plugin-pack 2.8.0

=== debian/changelog ===
purple-plugin-pack (2.8.0-2) unstable; urgency=medium

  * QA upload.
  * Set Maintainer to Debian QA Group. (see #1098467)
  * Build with -std=gnu17 to workaround FTBFS with GCC 15.
    (Closes: #1097667)
  * debian/control: Update Homepage. (Closes: #735751)

 -- Adrian Bunk <bunk@debian.org>  Thu, 23 Oct 2025 20:17:02 +0300

purple-plugin-pack (2.8.0-1) unstable; urgency=medium

  [ Gary Kramlich ]
  * Bring package up to date with current standards
  * Update copyright file
  * Update std-version to 4.5.0
  * Update compat level to 13
  * Switch from autotools to meson
  * Drop python2
  * Drop patches now merged or useless upstream:
    - 02_disable_po_check.patch
    - enchant-2.patch
    - python2.patch
  * Update lintian overrides
  * Update watch file
  * Add upstream metadata file

  [ Gianfranco Costamagna ]
  * Drop compat file
  * New upstream version 2.8.0
  * Comment out the easter eggs patch, the easter egg is now
    removed upstream (only commenting the patch, because the easter egg
    might come back in the future)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 14 Sep 2020 10:00:51 +0200

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,18 @@
 Source: purple-plugin-pack
 Section: net
 Priority: optional
-Maintainer: Felix Geyer <fgeyer@debian.org>
-Build-Depends: debhelper (>= 9),
-               dh-autoreconf,
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Build-Depends: debhelper-compat (= 13),
+               meson,
                pidgin-dev,
-               intltool,
                pkg-config,
-               python2,
                libenchant-2-dev,
                libglib2.0-dev,
                libgtk2.0-dev,
-               libgtkspell-dev (>= 2.0.16-1.3~),
-               libxml-parser-perl
-Standards-Version: 3.9.4
-Homepage: https://www.guifications.org/projects/purple-plugin-pack
+               libgtkspell-dev (>= 2.0.16-1.3~)
+Rules-Requires-Root: no
+Standards-Version: 4.5.0
+Homepage: https://keep.imfreedom.org/pidgin/purple-plugin-pack/file/tip/README.md
 Vcs-Git: https://salsa.debian.org/debian/purple-plugin-pack.git
 Vcs-Browser: https://salsa.debian.org/debian/purple-plugin-pack

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
export DEB_CFLAGS_MAINT_APPEND = -std=gnu17

%:
	dh $@

override_dh_makeshlibs:
	# don't call as plugins are private libraries

=== debian/watch ===
version=4
opts=downloadurlmangle=s/\/:/\//,filenamemangle=s/^:// \
https://dl.bintray.com/pidgin/releases/ \
(?::?purple-plugin-pack-)@ANY_VERSION@@ARCHIVE_EXT@
